package cn.reghao.tnb.sb.multi.mybatis.mapper.two;

import cn.reghao.tnb.sb.multi.mybatis.model.two.CamRecord;
import cn.reghao.tnb.sb.multi.mybatis.model.two.VideoPost;
import cn.reghao.jutil.jdk.web.db.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author reghao
 * @date 2022-07-26 11:08:31
 */
@Mapper
public interface VideoPostMapper extends BaseMapper<VideoPost> {
    void updateSetDelete();
    void updatePublishBy(@Param("oldUser") long oldUser, @Param("newUser") long newUser);

    List<VideoPost> findByVideoFileIds(List<String> list);
    VideoPost findByVideoFileId(String videoFileId);
    List<VideoPost> findVideoPostByUserId(long userId);
    List<CamRecord> findCamRecord(@Param("camId") long camId,
                                  @Param("start") int start,
                                  @Param("end") int end);
}
